<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for vendor in vendor package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  vendor module in vendor package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Vendor',
    'names'         => 'Vendors',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Vendors',
        'sub'   => 'Vendors',
        'list'  => 'List of vendors',
        'edit'  => 'Edit vendor',
        'create'    => 'Create new vendor'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            'status'              => ['New','Active','Suspended','Locked'],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'payment_term_id'            => 'Please enter payment term id',
        'currency_id'                => 'Please enter currency id',
        'gst_scheme_id'              => 'Please enter gst scheme id',
        'payment_method_id'          => 'Please enter payment method id',
        'salution'                   => 'Please enter salution',
        'first_name'                 => 'Please enter first name',
        'last_name'                  => 'Please enter last name',
        'name'                       => 'Please enter name',
        'display_name'               => 'Please enter display name',
        'email'                      => 'Please enter email',
        'phone'                      => 'Please enter phone',
        'mobile'                     => 'Please enter mobile',
        'website'                    => 'Please enter website',
        'password'                   => 'Please enter password',
        'api_token'                  => 'Please enter api token',
        'remember_token'             => 'Please enter remember token',
        'photo'                      => 'Please enter photo',
        'fax'                        => 'Please enter fax',
        'discount'                   => 'Please enter discount',
        'price_include_tax'          => 'Please enter price include tax',
        'carrier'                    => 'Please enter carrier',
        'days'                       => 'Please enter days',
        'remarks'                    => 'Please enter remarks',
        'facebook'                   => 'Please enter facebook',
        'twitter'                    => 'Please enter twitter',
        'status'                     => 'Please select status',
        'deleted_at'                 => 'Please select deleted at',
        'slug'                       => 'Please enter slug',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'payment_term_id'            => 'Payment term id',
        'currency_id'                => 'Currency id',
        'gst_scheme_id'              => 'Gst scheme id',
        'payment_method_id'          => 'Payment method id',
        'salution'                   => 'Salution',
        'first_name'                 => 'First name',
        'last_name'                  => 'Last name',
        'name'                       => 'Name',
        'display_name'               => 'Display name',
        'email'                      => 'Email',
        'phone'                      => 'Phone',
        'mobile'                     => 'Mobile',
        'website'                    => 'Website',
        'password'                   => 'Password',
        'api_token'                  => 'Api token',
        'remember_token'             => 'Remember token',
        'photo'                      => 'Photo',
        'fax'                        => 'Fax',
        'discount'                   => 'Discount',
        'price_include_tax'          => 'Price include tax',
        'carrier'                    => 'Carrier',
        'days'                       => 'Days',
        'remarks'                    => 'Remarks',
        'facebook'                   => 'Facebook',
        'twitter'                    => 'Twitter',
        'status'                     => 'Status',
        'deleted_at'                 => 'Deleted at',
        'slug'                       => 'Slug',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'payment_term_id'            => ['name' => 'Payment term id', 'data-column' => 1, 'checked'],
        'currency_id'                => ['name' => 'Currency id', 'data-column' => 2, 'checked'],
        'gst_scheme_id'              => ['name' => 'Gst scheme id', 'data-column' => 3, 'checked'],
        'payment_method_id'          => ['name' => 'Payment method id', 'data-column' => 4, 'checked'],
        'salution'                   => ['name' => 'Salution', 'data-column' => 5, 'checked'],
        'first_name'                 => ['name' => 'First name', 'data-column' => 6, 'checked'],
        'last_name'                  => ['name' => 'Last name', 'data-column' => 7, 'checked'],
        'name'                       => ['name' => 'Name', 'data-column' => 8, 'checked'],
        'display_name'               => ['name' => 'Display name', 'data-column' => 9, 'checked'],
        'email'                      => ['name' => 'Email', 'data-column' => 10, 'checked'],
        'phone'                      => ['name' => 'Phone', 'data-column' => 11, 'checked'],
        'mobile'                     => ['name' => 'Mobile', 'data-column' => 12, 'checked'],
        'website'                    => ['name' => 'Website', 'data-column' => 13, 'checked'],
        'password'                   => ['name' => 'Password', 'data-column' => 14, 'checked'],
        'api_token'                  => ['name' => 'Api token', 'data-column' => 15, 'checked'],
        'remember_token'             => ['name' => 'Remember token', 'data-column' => 16, 'checked'],
        'photo'                      => ['name' => 'Photo', 'data-column' => 17, 'checked'],
        'fax'                        => ['name' => 'Fax', 'data-column' => 18, 'checked'],
        'discount'                   => ['name' => 'Discount', 'data-column' => 19, 'checked'],
        'price_include_tax'          => ['name' => 'Price include tax', 'data-column' => 20, 'checked'],
        'carrier'                    => ['name' => 'Carrier', 'data-column' => 21, 'checked'],
        'days'                       => ['name' => 'Days', 'data-column' => 22, 'checked'],
        'facebook'                   => ['name' => 'Facebook', 'data-column' => 23, 'checked'],
        'twitter'                    => ['name' => 'Twitter', 'data-column' => 24, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Vendors',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
