<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1>
            <i class="fa fa-file-text-o"></i> {!! trans('vendor::vendor.name') !!} <small> {!! trans('app.manage') !!} {!! trans('vendor::vendor.names') !!}</small>
        </h1>
        <ol class="breadcrumb">
            <li><a href="{!! guard_url('/') !!}"><i class="fa fa-dashboard"></i> {!! trans('app.home') !!} </a></li>
            <li class="active">{!! trans('vendor::vendor.names') !!}</li>
        </ol>
    </section>
    <!-- Main content -->
    <section class="content">
    <div id='vendor-vendor-entry'>
    </div>
        <div class="nav-tabs-custom">
            <ul class="nav nav-tabs">
                    <li class="{!!(request('status') == '')?'active':'';!!}"><a href="{!!guard_url('vendor/vendor')!!}">{!! trans('vendor::vendor.names') !!}</a></li>
                    <li class="{!!(request('status') == 'archive')?'active':'';!!}"><a href="{!!guard_url('vendor/vendor?status=archive')!!}">Archived</a></li>
                    <li class="{!!(request('status') == 'deleted')?'active':'';!!}"><a href="{!!guard_url('vendor/vendor?status=deleted')!!}">Trashed</a></li>
                    <li class="pull-right">
                    <span class="actions">
                    <!--   
                    <a  class="btn btn-xs btn-purple"  href="{!!guard_url('vendor/vendor/reports')!!}"><i class="fa fa-bar-chart" aria-hidden="true"></i><span class="hidden-sm hidden-xs"> Reports</span></a>
                    @include('vendor::admin.vendor.partial.actions')
                    -->
                    @include('vendor::admin.vendor.partial.filter')
                    @include('vendor::admin.vendor.partial.column')
                    </span> 
                </li>
            </ul>
            <div class="tab-content">
                <table id="vendor-vendor-list" class="table table-striped data-table">
                    <thead class="list_head">
                        <th style="text-align: right;" width="1%"><a class="btn-reset-filter" href="#Reset" style="display:none; color:#fff;"><i class="fa fa-filter"></i></a> <input type="checkbox" id="vendor-vendor-check-all"></th>
                        <th data-field="payment_term_id">{!! trans('vendor::vendor.label.payment_term_id')!!}</th>
                    <th data-field="currency_id">{!! trans('vendor::vendor.label.currency_id')!!}</th>
                    <th data-field="gst_scheme_id">{!! trans('vendor::vendor.label.gst_scheme_id')!!}</th>
                    <th data-field="payment_method_id">{!! trans('vendor::vendor.label.payment_method_id')!!}</th>
                    <th data-field="salution">{!! trans('vendor::vendor.label.salution')!!}</th>
                    <th data-field="first_name">{!! trans('vendor::vendor.label.first_name')!!}</th>
                    <th data-field="last_name">{!! trans('vendor::vendor.label.last_name')!!}</th>
                    <th data-field="name">{!! trans('vendor::vendor.label.name')!!}</th>
                    <th data-field="display_name">{!! trans('vendor::vendor.label.display_name')!!}</th>
                    <th data-field="email">{!! trans('vendor::vendor.label.email')!!}</th>
                    <th data-field="phone">{!! trans('vendor::vendor.label.phone')!!}</th>
                    <th data-field="mobile">{!! trans('vendor::vendor.label.mobile')!!}</th>
                    <th data-field="website">{!! trans('vendor::vendor.label.website')!!}</th>
                    <th data-field="password">{!! trans('vendor::vendor.label.password')!!}</th>
                    <th data-field="api_token">{!! trans('vendor::vendor.label.api_token')!!}</th>
                    <th data-field="remember_token">{!! trans('vendor::vendor.label.remember_token')!!}</th>
                    <th data-field="photo">{!! trans('vendor::vendor.label.photo')!!}</th>
                    <th data-field="fax">{!! trans('vendor::vendor.label.fax')!!}</th>
                    <th data-field="discount">{!! trans('vendor::vendor.label.discount')!!}</th>
                    <th data-field="price_include_tax">{!! trans('vendor::vendor.label.price_include_tax')!!}</th>
                    <th data-field="carrier">{!! trans('vendor::vendor.label.carrier')!!}</th>
                    <th data-field="days">{!! trans('vendor::vendor.label.days')!!}</th>
                    <th data-field="facebook">{!! trans('vendor::vendor.label.facebook')!!}</th>
                    <th data-field="twitter">{!! trans('vendor::vendor.label.twitter')!!}</th>
                    </thead>
                </table>
            </div>
        </div>
    </section>
</div>

<script type="text/javascript">

var oTable;
var oSearch;
$(document).ready(function(){
    app.load('#vendor-vendor-entry', '{!!guard_url('vendor/vendor/0')!!}');
    oTable = $('#vendor-vendor-list').dataTable( {
        'columnDefs': [{
            'targets': 0,
            'searchable': false,
            'orderable': false,
            'className': 'dt-body-center',
            'render': function (data, type, full, meta){
                return '<input type="checkbox" name="id[]" value="' + data.id + '">';
            }
        }], 
        
        "responsive" : true,
        "order": [[1, 'asc']],
        "bProcessing": true,
        "sDom": 'R<>rt<ilp><"clear">',
        "bServerSide": true,
        "sAjaxSource": '{!! guard_url('vendor/vendor') !!}',
        "fnServerData" : function ( sSource, aoData, fnCallback ) {

            $.each(oSearch, function(key, val){
                aoData.push( { 'name' : key, 'value' : val } );
            });
            app.dataTable(aoData);
            $.ajax({
                'dataType'  : 'json',
                'data'      : aoData,
                'type'      : 'GET',
                'url'       : sSource,
                'success'   : fnCallback
            });
        },

        "columns": [
            {data :'id'},
            {data :'payment_term_id'},
            {data :'currency_id'},
            {data :'gst_scheme_id'},
            {data :'payment_method_id'},
            {data :'salution'},
            {data :'first_name'},
            {data :'last_name'},
            {data :'name'},
            {data :'display_name'},
            {data :'email'},
            {data :'phone'},
            {data :'mobile'},
            {data :'website'},
            {data :'password'},
            {data :'api_token'},
            {data :'remember_token'},
            {data :'photo'},
            {data :'fax'},
            {data :'discount'},
            {data :'price_include_tax'},
            {data :'carrier'},
            {data :'days'},
            {data :'facebook'},
            {data :'twitter'},
        ],
        "pageLength": 25
    });

    $('#vendor-vendor-list tbody').on( 'click', 'tr', function () {
        oTable.$('tr.selected').removeClass('selected');
        $(this).addClass('selected');
        var d = $('#vendor-vendor-list').DataTable().row( this ).data();
        $('#vendor-vendor-entry').load('{!!guard_url('vendor/vendor')!!}' + '/' + d.id);
    });

    $('#vendor-vendor-list tbody').on( 'change', "input[name^='id[]']", function (e) {
        e.preventDefault();

        aIds = [];
        $(".child").remove();
        $(this).parent().parent().removeClass('parent'); 
        $("input[name^='id[]']:checked").each(function(){
            aIds.push($(this).val());
        });
    });

    $("#vendor-vendor-check-all").on( 'change', function (e) {
        e.preventDefault();
        aIds = [];
        if ($(this).prop('checked')) {
            $("input[name^='id[]']").each(function(){
                $(this).prop('checked',true);
                aIds.push($(this).val());
            });

            return;
        }else{
            $("input[name^='id[]']").prop('checked',false);
        }
        
    });


    $(".reset_filter").click(function (e) {
        e.preventDefault();
        $("#form-search")[ 0 ].reset();
        $('#form-search input,#form-search select').each( function () {
          oTable.search( this.value ).draw();
        });
        $('#vendor-vendor-list .reset_filter').css('display', 'none');

    });


    // Add event listener for opening and closing details
    $('#vendor-vendor-list tbody').on('click', 'td.details-control', function (e) {
        e.preventDefault();
        var tr = $(this).closest('tr');
        var row = table.row( tr );
 
        if ( row.child.isShown() ) {
            // This row is already open - close it
            row.child.hide();
            tr.removeClass('shown');
        } else {
            // Open this row
            row.child( format(row.data()) ).show();
            tr.addClass('shown');
        }
    });

});
</script>