<?php

namespace Inventory\Vendor\Forms;

class Vendor
{
    /**
     * Variable to store form configuration.
     *
     * @var collection
     */
    protected $form;

    /**
     * Variable to store form configuration.
     *
     * @var collection
     */
    protected $element;

    /**
     * Initialize the form.
     *
     * @return null
     */
    public function __construct()
    {
        $this->setForm();
    }

    /**
     * Return form elements.
     *
     * @return array.
     */
    public function form($element = 'fields', $grouped = true)
    {
        $item = collect($this->form->get($element));
        if ($element == 'fields' && $grouped == true) {
            return $item->groupBy(['group', 'section']);
        }
        return $item;

    }

    /**
     * Sets the form and form elements.
     * @return null.
     */
    public function setForm()
    {
        $this->form = collect([
            'form' => [
                'store' => [],
                'update' => [],
            ],
            'groups' => [
                'main' => 'Main',
            ],
            'fields' => [
                'payment_term_id' => [
                    "type" => 'numeric',
                    "label" => trans('vendor::vendor.label.payment_term_id'),
                    "placeholder" => trans('vendor::vendor.placeholder.payment_term_id'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'currency_id' => [
                    "type" => 'numeric',
                    "label" => trans('vendor::vendor.label.currency_id'),
                    "placeholder" => trans('vendor::vendor.placeholder.currency_id'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'gst_scheme_id' => [
                    "type" => 'numeric',
                    "label" => trans('vendor::vendor.label.gst_scheme_id'),
                    "placeholder" => trans('vendor::vendor.placeholder.gst_scheme_id'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'payment_method_id' => [
                    "type" => 'numeric',
                    "label" => trans('vendor::vendor.label.payment_method_id'),
                    "placeholder" => trans('vendor::vendor.placeholder.payment_method_id'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'salution' => [
                    "type" => 'text',
                    "label" => trans('vendor::vendor.label.salution'),
                    "placeholder" => trans('vendor::vendor.placeholder.salution'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'first_name' => [
                    "type" => 'text',
                    "label" => trans('vendor::vendor.label.first_name'),
                    "placeholder" => trans('vendor::vendor.placeholder.first_name'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'last_name' => [
                    "type" => 'text',
                    "label" => trans('vendor::vendor.label.last_name'),
                    "placeholder" => trans('vendor::vendor.placeholder.last_name'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'name' => [
                    "type" => 'text',
                    "label" => trans('vendor::vendor.label.name'),
                    "placeholder" => trans('vendor::vendor.placeholder.name'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'display_name' => [
                    "type" => 'text',
                    "label" => trans('vendor::vendor.label.display_name'),
                    "placeholder" => trans('vendor::vendor.placeholder.display_name'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'email' => [
                    "type" => 'text',
                    "label" => trans('vendor::vendor.label.email'),
                    "placeholder" => trans('vendor::vendor.placeholder.email'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'phone' => [
                    "type" => 'text',
                    "label" => trans('vendor::vendor.label.phone'),
                    "placeholder" => trans('vendor::vendor.placeholder.phone'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'mobile' => [
                    "type" => 'text',
                    "label" => trans('vendor::vendor.label.mobile'),
                    "placeholder" => trans('vendor::vendor.placeholder.mobile'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'website' => [
                    "type" => 'text',
                    "label" => trans('vendor::vendor.label.website'),
                    "placeholder" => trans('vendor::vendor.placeholder.website'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'password' => [
                    "type" => 'text',
                    "label" => trans('vendor::vendor.label.password'),
                    "placeholder" => trans('vendor::vendor.placeholder.password'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'api_token' => [
                    "type" => 'text',
                    "label" => trans('vendor::vendor.label.api_token'),
                    "placeholder" => trans('vendor::vendor.placeholder.api_token'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'remember_token' => [
                    "type" => 'text',
                    "label" => trans('vendor::vendor.label.remember_token'),
                    "placeholder" => trans('vendor::vendor.placeholder.remember_token'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'photo' => [
                    "type" => 'text',
                    "label" => trans('vendor::vendor.label.photo'),
                    "placeholder" => trans('vendor::vendor.placeholder.photo'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'fax' => [
                    "type" => 'text',
                    "label" => trans('vendor::vendor.label.fax'),
                    "placeholder" => trans('vendor::vendor.placeholder.fax'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'discount' => [
                    "type" => 'decimal',
                    "label" => trans('vendor::vendor.label.discount'),
                    "placeholder" => trans('vendor::vendor.placeholder.discount'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'price_include_tax' => [
                    "type" => 'numeric',
                    "label" => trans('vendor::vendor.label.price_include_tax'),
                    "placeholder" => trans('vendor::vendor.placeholder.price_include_tax'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'carrier' => [
                    "type" => 'text',
                    "label" => trans('vendor::vendor.label.carrier'),
                    "placeholder" => trans('vendor::vendor.placeholder.carrier'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'days' => [
                    "type" => 'numeric',
                    "label" => trans('vendor::vendor.label.days'),
                    "placeholder" => trans('vendor::vendor.placeholder.days'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'remarks' => [
                    "type" => 'html_editor',
                    "label" => trans('vendor::vendor.label.remarks'),
                    "placeholder" => trans('vendor::vendor.placeholder.remarks'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'facebook' => [
                    "type" => 'text',
                    "label" => trans('vendor::vendor.label.facebook'),
                    "placeholder" => trans('vendor::vendor.placeholder.facebook'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'twitter' => [
                    "type" => 'text',
                    "label" => trans('vendor::vendor.label.twitter'),
                    "placeholder" => trans('vendor::vendor.placeholder.twitter'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
            ]
        );

    }
}
