<?php

namespace Inventory\Vendor\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class VendorTransformer extends TransformerAbstract
{
    public function transform(\Inventory\Vendor\Models\Vendor $vendor)
    {
        return [
            'id'                => $vendor->getRouteKey(),
            'key'               => [
                'public'    => $vendor->getPublicKey(),
                'route'     => $vendor->getRouteKey(),
            ], 
            'payment_term_id'   => $vendor->payment_term_id,
            'currency_id'       => $vendor->currency_id,
            'gst_scheme_id'     => $vendor->gst_scheme_id,
            'payment_method_id' => $vendor->payment_method_id,
            'salution'          => $vendor->salution,
            'first_name'        => $vendor->first_name,
            'last_name'         => $vendor->last_name,
            'name'              => $vendor->name,
            'display_name'      => $vendor->display_name,
            'email'             => $vendor->email,
            'phone'             => $vendor->phone,
            'mobile'            => $vendor->mobile,
            'website'           => $vendor->website,
            'password'          => $vendor->password,
            'api_token'         => $vendor->api_token,
            'remember_token'    => $vendor->remember_token,
            'photo'             => $vendor->photo,
            'fax'               => $vendor->fax,
            'discount'          => $vendor->discount,
            'price_include_tax' => $vendor->price_include_tax,
            'carrier'           => $vendor->carrier,
            'days'              => $vendor->days,
            'remarks'           => $vendor->remarks,
            'facebook'          => $vendor->facebook,
            'twitter'           => $vendor->twitter,
            'deleted_at'        => $vendor->deleted_at,
            'slug'              => $vendor->slug,
            'url'               => [
                'public'    => trans_url('vendor/'.$vendor->getPublicKey()),
                'user'      => guard_url('vendor/vendor/'.$vendor->getRouteKey()),
            ], 
            'status'            => trans('app.'.$vendor->status),
            'created_at'        => format_date($vendor->created_at),
            'updated_at'        => format_date($vendor->updated_at),
        ];
    }
}