<?php

namespace Inventory\Vendor;

use User;

class Vendor
{
    /**
     * $vendor object.
     */
    protected $vendor;

    /**
     * Constructor.
     */
    public function __construct(\Inventory\Vendor\Interfaces\VendorRepositoryInterface $vendor)
    {
        $this->vendor = $vendor;
    }

    /**
     * Returns count of vendor.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.vendor.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->vendor->pushCriteria(new \Litepie\Inventory\Repositories\Criteria\VendorUserCriteria());
        }

        $vendor = $this->vendor->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('vendor::' . $view, compact('vendor'))->render();
    }
}
